%define		subver 20110303
%define		rel		4
Summary:	Multitouch X input driver
Name:		xorg-driver-input-multitouch
Version:	1.0
Release:	0.rc2.%{subver}.%{rel}
License:	GPL v2+
Group:		X11/Applications
Source0:	xf86-input-multitouch-%{subver}.tar.bz2
# Source0-md5:	994e19532eb5561779cfa4f63dc0b077
Source1:	xf86-input-multitouch.conf
Patch0:		libdir.patch
URL:		http://bitmath.org/code/multitouch/
BuildRequires:	mtdev-devel >= 1.1.0
BuildRequires:	pixman-devel
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-xserver-server-devel
%{?requires_xorg_xserver_xinput}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This X input driver provides gestures support for multitouch
touchpads, in particular those with integrated button.

%prep
%setup -q -n xf86-input-multitouch-%{subver}
%patch0 -p1

%{__sed} -i -e 's,gcc,$(CC),g' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	OPTS="%{rpmcflags} -fPIC" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d/40-xf86-input-multitouch.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CREDITS
%{_datadir}/X11/xorg.conf.d/40-xf86-input-multitouch.conf
%{_libdir}/xorg/modules/input/multitouch.so
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-multitouch.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a21ac0c
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 79a4f10
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 16363d0
- release 2 (by relup.sh)

* Mon Feb 04 2013 Elan Ruusamäe <glen@delfi.ee> 26c79d6
- BR: xorg-xserver-server-devel by cleanbuild

* Mon Feb 04 2013 Elan Ruusamäe <glen@delfi.ee> 51451dc
- add md5

* Sun Feb 03 2013 Elan Ruusamäe <glen@delfi.ee> d4efeef
- new, version 1.0rc2 (20110303)

